# norootforbuild
%define		pkg_name    pecl_http
%define		php_version %(php-config --version 2>/dev/null)
#
Name:		php5-pecl_http
Version:	1.7.6
Release:	2.1
#
License:	BSD
Group:		Productivity/Networking/Web/Servers
#
BuildRoot:	%{_tmppath}/%{pkg_name}-%{version}-build

#yes, PHP modules are required for build, as configure tests it's precence, to enable
#or disable features.
BuildRequires:	php5-devel curl-devel file-devel libevent php5-iconv php5-hash
Requires:	php5 = %{php_version} php5-iconv php5-hash
#
URL:		http://pecl.php.net/pecl_http
Source:		http://pecl.php.net/package/pecl_http/%{pkg_name}-%{version}.tar.bz2
Source1:	http.ini
Summary:	Extended HTTP Support

%description

Extended HTTP Support

Authors:
---------
    Michael Wallner <mike@php.net>

%package        devel
Summary:        Include files of php5-pecl_http
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version} php5-devel curl-devel file-devel libevent

%description   devel

Extended HTTP Support

Authors:
---------
    Michael Wallner <mike@php.net>


%prep
%setup -q -n %{pkg_name}-%{version}


#%{__mkdir} %{name}

%build
/usr/bin/phpize
#pushd %{name}

CFLAGS="%{optflags} -fno-strict-aliasing"
CXXFLAGS="%{optflags} -fno-strict-aliasing"

%if 0%{?suse_version} > 1000
CFLAGS="$CFLAGS -fstack-protector"
CXXFLAGS="$CXXFLAGS -fstack-protector"
%endif

export CFLAGS
export CXXFLAGS

export PHP_EXECUTABLE="/usr/bin/php5"

%configure \
--with-http-magic-mime=%{_usr} \
--with-http-zlib-compression=%{_usr} \
--with-http-curl-requests=%{_usr} \
--with-http-shared-deps \
--with-libdir=%{_lib}

%{__make} %{?jobs:-j%jobs}

export NO_INTERACTION=1 REPORT_EXIT_STATUS=1 MALLOC_CHECK_=2

%{__make} test

unset NO_INTERACTION REPORT_EXIT_STATUS MALLOC_CHECK_

%install

%makeinstall INSTALL_ROOT=%{buildroot}
%{__mkdir_p} %{buildroot}%{_sysconfdir}/php5/conf.d
%{__install} -m 644 %{S:1} %{buildroot}%{_sysconfdir}/php5/conf.d/http.ini

%clean

%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/php5/extensions/http.so
%config(noreplace) %{_sysconfdir}/php5/conf.d/http.ini

%files devel
%defattr(-,root,root,-)
%dir %{_includedir}/php5/ext/http
%dir %{_includedir}/php5/ext/http/phpstr
%{_includedir}/php5/ext/http/*.h
%{_includedir}/php5/ext/http/phpstr/*.h

%doc lib LICENSE CREDITS KnownIssues.txt

%changelog
* Thu Jun 20 2013 cs@linux-administrator.com
- update to release 1.7.6
* Sun Mar  3 2013 cs@linux-administrator.com
- update to release 1.7.5
* Mon Apr  9 2012 cs@linux-administrator.com
- update to release 1.7.4
* Wed Mar 14 2012 cs@linux-administrator.com
- update to release 1.7.3
* Thu Feb 23 2012 cs@linux-administrator.com
- update to release 1.7.2
* Fri May  6 2011 cs@linux-administrator.com
- update to release 1.7.1
